commit:     278abd450e33a7e4d4bb29397b07a0ac680d1a07
Author:     Alexey Sokolov <alexey+gentoo <AT> asokolov <DOT> org>
AuthorDate: Sat Nov 19 12:48:13 2022 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Sat Nov 19 13:21:31 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=278abd45

media-sound/lingot: add 1.1.1, un-lastrite

Signed-off-by: Alexey Sokolov <alexey+gentoo <AT> asokolov.org>
Closes: https://bugs.gentoo.org/699808
Closes: https://github.com/gentoo/gentoo/pull/28337
Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 media-sound/lingot/Manifest                        |  1 +
 .../lingot/files/lingot-1.1.1-desktop-icon.patch   | 11 ++++
 media-sound/lingot/lingot-1.1.1.ebuild             | 60 ++++++++++++++++++++++
 media-sound/lingot/metadata.xml                    |  8 +++
 profiles/package.mask                              |  2 -
 5 files changed, 80 insertions(+), 2 deletions(-)

diff --git a/media-sound/lingot/Manifest b/media-sound/lingot/Manifest
index 196a07fdc813..22d79737735d 100644
--- a/media-sound/lingot/Manifest
+++ b/media-sound/lingot/Manifest
@@ -1 +1,2 @@
 DIST lingot-1.0.1.tar.gz 510112 BLAKE2B 
a04ef52cc70dba8af54746419190eedc2f2512120e3c1e8576dab0d6dd20c3470a6f857fd751ed4bcf8e291a993ff1f8fa7b0264a24957dcfab0efd9684ef3ba
 SHA512 
98182721ef68411485b3f2faccbf315f340e549dd7cce0fdfaacab7c34fb708c98eda9b96da00701f1987becefced3a7587ffaaad77d6ef86046fb8c9f5f1cb5
+DIST lingot-1.1.1.tar.gz 727028 BLAKE2B 
c681fcd72f67ae20e49f0229aa9791eace1f65cb596c60e52cff7805bc70d6d418cd87c96629306163756db81236ad31b6c8fe78b7ee401d155f8f81dda4f334
 SHA512 
71ee6b992a8f9cfe4a90d7cd8ba0098512857d65d773d3d5ec26aeeaa104ee812051b9d6b86c5e6462d1032bf03d7e6120aecd60ca8758fdf96c37f2d7ceacc7

diff --git a/media-sound/lingot/files/lingot-1.1.1-desktop-icon.patch 
b/media-sound/lingot/files/lingot-1.1.1-desktop-icon.patch
new file mode 100644
index 000000000000..c378bfb6e81a
--- /dev/null
+++ b/media-sound/lingot/files/lingot-1.1.1-desktop-icon.patch
@@ -0,0 +1,11 @@
+--- a/org.nongnu.lingot.desktop
++++ b/org.nongnu.lingot.desktop
+@@ -7,7 +7,7 @@ Comment=LINGOT Is Not a Guitar-Only Tuner
+ Comment[cs]=(Nejen kytarová) ladička
+ Comment[fr]=Un accordeur de guitare, mais pas que
+ Exec=lingot
+-Icon=org.nongnu.lingot.svg
++Icon=org.nongnu.lingot
+ Terminal=false
+ Type=Application
+ Categories=GNOME;GTK;AudioVideo;

diff --git a/media-sound/lingot/lingot-1.1.1.ebuild 
b/media-sound/lingot/lingot-1.1.1.ebuild
new file mode 100644
index 000000000000..4c27784dea9a
--- /dev/null
+++ b/media-sound/lingot/lingot-1.1.1.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools
+
+DESCRIPTION="Accurate, easy to use, and highly configurable musical instrument 
tuner"
+HOMEPAGE="https://www.nongnu.org/lingot/";
+SRC_URI="https://download.savannah.gnu.org/releases/${PN}/${P}.tar.gz";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="alsa +fftw jack pulseaudio test"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="test? ( pulseaudio )"
+
+RDEPEND="
+       dev-libs/glib:2
+       dev-libs/json-c:=
+       x11-libs/cairo
+       x11-libs/gtk+:3
+       alsa? ( media-libs/alsa-lib )
+       fftw? ( sci-libs/fftw:3.0= )
+       jack? ( virtual/jack )
+       pulseaudio? ( media-libs/libpulse )
+"
+DEPEND="${RDEPEND}
+       test? ( dev-util/cunit )
+"
+BDEPEND="
+       dev-util/intltool
+       sys-devel/gettext
+       virtual/pkgconfig
+"
+
+PATCHES=( "${FILESDIR}"/${P}-desktop-icon.patch )
+
+src_prepare() {
+       default
+       eautoreconf
+}
+
+src_configure() {
+       local myemakeargs=(
+               $(use_with alsa)
+               $(use_with fftw)
+               $(use_with jack)
+               $(use_with pulseaudio)
+               $(use_with test cunit)
+       )
+
+       econf "${myemakeargs[@]}"
+}
+
+src_install() {
+       default
+       find "${ED}" -name '*.la' -delete || die
+}

diff --git a/media-sound/lingot/metadata.xml b/media-sound/lingot/metadata.xml
index 93423219a5bc..ae636e378c5b 100644
--- a/media-sound/lingot/metadata.xml
+++ b/media-sound/lingot/metadata.xml
@@ -5,4 +5,12 @@
                <email>[email protected]</email>
                <name>Gentoo Sound project</name>
        </maintainer>
+       <maintainer type="person" proxied="yes">
+               <email>[email protected]</email>
+               <name>Alexey Sokolov</name>
+       </maintainer>
+       <maintainer type="project" proxied="proxy">
+               <email>[email protected]</email>
+               <name>Proxy Maintainers</name>
+       </maintainer>
 </pkgmetadata>

diff --git a/profiles/package.mask b/profiles/package.mask
index d7c37b3564d7..c5d42659c3ab 100644
--- a/profiles/package.mask
+++ b/profiles/package.mask
@@ -36,7 +36,6 @@
 # Michał Górny <[email protected]> (2022-11-19)
 # Packages with reported failures and no maintainer activity.
 #
-# media-sound/lingot: bug #699808, last bumped in 2018
 # media-sound/retrovol: bug #624136, last bumped in 2013, homepage dead
 # media-sound/umix: bug #726076, last release in 2003 (!)
 # media-libs/libvisual*: bug #840514, last bumped in 2006
@@ -46,7 +45,6 @@ media-libs/libvisual
 media-plugins/gst-plugins-libvisual
 media-plugins/libvisual-plugins
 media-plugins/libvisual-projectm
-media-sound/lingot
 media-sound/retrovol
 media-sound/umix
 

Reply via email to